> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate + persist all 5 statutory registers for a month

> Generate + persist all 5 statutory registers for a month



## OpenAPI

````yaml /api-reference/openapi.json post /api/compliance/registers/generate
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/compliance/registers/generate:
    post:
      tags:
        - Compliance
      summary: Generate + persist all 5 statutory registers for a month
      description: Generate + persist all 5 statutory registers for a month
      operationId: postApiComplianceRegistersGenerate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                month:
                  type: string
                  pattern: ^\d{4}-\d{2}$
              required:
                - month
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  fyLabel:
                    type: string
                  filings:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        type:
                          type: string
                          enum:
                            - PF
                            - ESI
                            - ProfessionalTax
                            - TDS24Q
                        period:
                          type: string
                        periodLabel:
                          type: string
                        state:
                          anyOf:
                            - type: string
                            - type: 'null'
                        dueDate:
                          type: string
                        amount:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        amountOverridden:
                          type: boolean
                        overrideNote:
                          anyOf:
                            - type: string
                            - type: 'null'
                        status:
                          type: string
                          enum:
                            - Pending
                            - Filed
                        filedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        ackRef:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - type
                        - period
                        - periodLabel
                        - state
                        - dueDate
                        - amount
                        - amountOverridden
                        - overrideNote
                        - status
                        - filedAt
                        - ackRef
                  form16:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          fy:
                            type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          fyLabel:
                            type: string
                          total:
                            type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          partBMerged:
                            type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          partATraces:
                            type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          signed:
                            type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          sent:
                            type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          generatedAt:
                            anyOf:
                              - type: string
                              - type: 'null'
                          partAFetchedAt:
                            anyOf:
                              - type: string
                              - type: 'null'
                          signedAt:
                            anyOf:
                              - type: string
                              - type: 'null'
                          distributedAt:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - id
                          - fy
                          - fyLabel
                          - total
                          - partBMerged
                          - partATraces
                          - signed
                          - sent
                          - generatedAt
                          - partAFetchedAt
                          - signedAt
                          - distributedAt
                      - type: 'null'
                  registerMonth:
                    type: string
                  registers:
                    type: array
                    items:
                      type: object
                      properties:
                        key:
                          type: string
                          enum:
                            - muster
                            - wage
                            - ot
                            - leave
                            - sne
                        name:
                          type: string
                        formNo:
                          type: string
                        description:
                          type: string
                        period:
                          type: string
                        periodLabel:
                          type: string
                        status:
                          type: string
                          enum:
                            - UpToDate
                            - Stale
                            - Overdue
                            - NotGenerated
                        rowCount:
                          anyOf:
                            - type: integer
                              minimum: -9007199254740991
                              maximum: 9007199254740991
                            - type: 'null'
                        generatedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - key
                        - name
                        - formNo
                        - description
                        - period
                        - periodLabel
                        - status
                        - rowCount
                        - generatedAt
                required:
                  - fyLabel
                  - filings
                  - form16
                  - registerMonth
                  - registers
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````